---
updatedAt: 2025-05-22T20:26:58.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Protocol List

The Get Protocol List API allows you to easily fetch the protocol list

## Definition

This endpoint retrieves a list of cryptocurrency protocols, providing detailed information about various blockchain protocols. The results can be paginated based on the specified query parameters.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **page** (int): The page number for paginated results. Default value is 1.
2. **limit** (int): The maximum number of records to return per page. Default value is 10.

## Response

The response will include a JSON object containing a list of cryptocurrency protocols. Each entry typically includes token's name, symbol, and other relevant information.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/global/protocol-list": {
      "get": {
        "summary": "Get Protocol List",
        "description": "The Get Protocol List API allows you to easily fetch the protocol list",
        "operationId": "get-protocol-list",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Int - Defines the page number of the results to be retrieved from a paginated dataset. Default to 1.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Int - Defines the maximum number of items to be returned per page in a paginated dataset. Default to 10.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"total\": 1710,\n    \"result\": [\n      {\n        \"name\": \"Binance CEX\",\n        \"url\": \"https://www.binance.com\",\n        \"description\": \"Binance is a cryptocurrency exchange which is the largest exchange in the world in terms of daily trading volume of cryptocurrencies\",\n        \"category\": \"CEX\",\n        \"tvl\": 114333760510.05496\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 1710,
                          "default": 0
                        },
                        "result": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "Binance CEX"
                              },
                              "url": {
                                "type": "string",
                                "example": "https://www.binance.com"
                              },
                              "description": {
                                "type": "string",
                                "example": "Binance is a cryptocurrency exchange which is the largest exchange in the world in terms of daily trading volume of cryptocurrencies"
                              },
                              "category": {
                                "type": "string",
                                "example": "CEX"
                              },
                              "tvl": {
                                "type": "number",
                                "example": 114333760510.05496,
                                "default": 0
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```